Package ch.qos.logback.classic.db.names

# Enum TableName

java.lang.Object
java.lang.Enum<TableName>
ch.qos.logback.classic.db.names.TableName

All Implemented Interfaces:
  `Serializable`, `Comparable<TableName>`, `java.lang.constant.Constable`

public enum TableName extends Enum<TableName>

Since:
  0.9.19
Author:
  Tomasz Nurkiewicz

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOGGING_EVENT`
`LOGGING_EVENT_EXCEPTION`
`LOGGING_EVENT_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`static TableName`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TableName[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOGGING_EVENT

public static final TableName LOGGING_EVENT

### LOGGING_EVENT_PROPERTY

public static final TableName LOGGING_EVENT_PROPERTY

### LOGGING_EVENT_EXCEPTION

public static final TableName LOGGING_EVENT_EXCEPTION

## Method Details

### values

public static TableName[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TableName valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null